Uma área de pesquisa sobre o WordPress para devs e autores do tema



core_update_footer ›

Desden/a
Obsoleton/a
core_update_footer ( $msg = '' )
Parâmetros:
  • (string) $msg
    Required: No
    Padrão: (empty)
Retorna:
  • (string)
Definido em:
Codex:

Ainda sem descrição.



Fonte

function core_update_footer( $msg = '' ) {
	if ( ! current_user_can( 'update_core' ) ) {
		return sprintf( __( 'Version %s' ), get_bloginfo( 'version', 'display' ) );
	}

	$cur = get_preferred_from_update_core();
	if ( ! is_object( $cur ) ) {
		$cur = new stdClass;
	}

	if ( ! isset( $cur->current ) ) {
		$cur->current = '';
	}

	if ( ! isset( $cur->url ) ) {
		$cur->url = '';
	}

	if ( ! isset( $cur->response ) ) {
		$cur->response = '';
	}

	switch ( $cur->response ) {
		case 'development':
			/* translators: 1: WordPress version number, 2: WordPress updates admin screen URL */
			return sprintf( __( 'You are using a development version (%1$s). Cool! Please <a href="%2$s">stay updated</a>.' ), get_bloginfo( 'version', 'display' ), network_admin_url( 'update-core.php' ) );

		case 'upgrade':
			return '<strong><a href="' . network_admin_url( 'update-core.php' ) . '">' . sprintf( __( 'Get Version %s' ), $cur->current ) . '</a></strong>';

		case 'latest':
		default:
			return sprintf( __( 'Version %s' ), get_bloginfo( 'version', 'display' ) );
	}
}